
=encoding utf8

=head1 NAME

Sidef::Types::Glob::Dir

=head1 DESCRIPTION

This class implements ...

=head1 SYNOPSIS

var obj = Dir(...)


=head1 INHERITS

Inherits methods from:

       * Sidef::Types::Glob::File

=head1 METHODS

=head2 +

    a + b

Returns the

Aliases: I<concat>, I<catfile>

=cut

=head2 chdir

    self.chdir

Returns the

=cut

=head2 chroot

    self.chroot

Returns the

=cut

=head2 cwd

    self.cwd

Returns the

=cut

=head2 delete

    self.delete

Returns the

Aliases: I<remove>, I<unlink>

=cut

=head2 dump

    self.dump

Returns the

=cut

=head2 find

    self.find(arg)

Returns the

Aliases: I<browse>

=cut

=head2 home

    self.home

Returns the

=cut

=head2 is_empty

    self.is_empty

Returns the

=cut

=head2 make

    self.make

Returns the

Aliases: I<mkdir>, I<create>

=cut

=head2 mkpath

    self.mkpath

Returns the

Aliases: I<mktree>, I<make_path>, I<make_tree>, I<create_tree>

=cut

=head2 mktemp

    self.mktemp(:opts)

Returns the

Aliases: I<make_tmp>, I<make_temp>

=cut

=head2 new

    self.new

Returns the

Aliases: I<call>

=cut

=head2 open

    self.open(fh_ref, err_ref)

Returns the

Aliases: I<open_r>

=cut

=head2 open_rw

    self.open_rw

Returns the

=cut

=head2 open_w

    self.open_w

Returns the

=cut

=head2 parent

    self.parent

Returns the

=cut

=head2 pwd

    self.pwd

Returns the

=cut

=head2 remove_tree

    self.remove_tree

Returns the

=cut

=head2 root

    self.root

Returns the

=cut

=head2 split

    self.split

Returns the

=cut

=head2 tmp

    self.tmp

Returns the

Aliases: I<temp>

=cut

=head2 to_dir

    self.to_dir

Returns the

=cut

=head2 to_s

    self.to_s

Returns the

Aliases: I<to_str>

=cut

=head2 up

    self.up

Returns the

=cut
